import { ContextValues } from 'cdecode/client';
import { ClientThreadContextShape } from '@workbench-stack/extension-api';


/** @internal */
export class ExtHostContext {
    constructor(private proxy: ClientThreadContextShape) {}

    public updateContext(updates: ContextValues): void {
        this.proxy.$acceptContextUpdates(updates);
    }
}
